                                 Hot 1571 Drive

                                      by

                                   C128-BILL

          Now  that  winter is here, you may feel that heat in  your  C-128 
     shouldn't  be  a problem.  Your house is  air-conditioned  during  the 
     summer  and  your  computer and drives are working  fine,  thank  you.  
     What's that, you say?  Oh, I guess we have a few bad commercial  disks 
     that  just  don't load, but your drive alignment program  passes  your 
     1571 drive with flying colors.

          This  brings me to my point.  How can you tell if your  drive  is 
     slowly  fading, or if you really just have a few bad disks?   Some  of 
     the obvious ways are to swap these 'bad' disks with a friend, or  just 
     try  them  out on another drive.  Other ways are to  test  your  drive 
     after  heavy activity or to find an old data disk and see if  you  can 
     read  all files perfectly.  Other than the procedure below,  you  will 
     need  expensive  electronic test equipment, live with the  problem  or 
     take the '71 to the shop.

          This procedure is for the 'hands-on' novice who can solder with a 
     steady  hand.  Any major problems should be resolved by bringing  your 
     drive  to a qualified repair technician.  If you like to  tinker  with 
     electronics,  but have very little practical experience, then this  is 
     for you.  I will not assume any liability for any mishaps,  accidents, 
     or errors.

          Safety precautions should be observed at all times.  The voltages 
     inside the drive can kill you, or at best fry your drive.
           
          First, we are speaking of the Mitsumi/Newtronics 1571 drive  that 
     is  the  stand-alone 1571.  Second, we are going to  pull  apart  your 
     drive's  power supply and check a few things.  While we are  in  there 
     (third) we will install a small, noisy fan.

     Tools required:
          #2 Phillips screwdriver
          Digital Volt Meter with hands free clips
          Low Wattage soldering Iron (20 watts with grounded tip)
          Rosin Core Solder
          Radio Shack, Archer 12 VDC 0.15A Fan #273-244
          Three 6-32 X 1" screws
          Three lockwashers for above
          Three 6-32 nuts for above
          Two electrical connectors
          Old disk (5 1/4")
          Common Sense

     Teardown:
          Unplug  the three pronged electrical (115VAC) cord from the  unit 
     after turning off all equipment.  Unplug DIN (data) connecter going to 
     C-128. Insert the old disk into the drive, and twist down on the clamp 
     lever,  just  like if you were loading a disk.  Flip  the  1571  drive 
     over,  and remove the four phillips head screws from the bottom.   Now 
     carefully  flip  the drive back to the right side up  position.  After 
     chasing  the 4 screws place them out of the way.  Pull the disk  clamp 
     lever  on the front of the unit part way off.  Gently lift up  on  the 
     plastic top cover while pulling forward on the front bezel.  Remember, 
     these are all plastic parts, so no forcing!!  You should now have  the 
     top  cover off, while the front bezel is just loose, and still on  the 
     unit.

          With the front of the drive facing to your left, you will see two 
     main sections.  On the left, the mechanical unit, and on the right the 
     power  supply within its cage.  Looking at the cage portion, you  will 
     find  that  it is held in place with four phillips screws.   There  is 
     also  one  connector  going from the power supply to  the  upper  mid-

     section,  labeled  CN-1.  Please note that the two  small  prongs  are 
     facing  to the left.  Take a magic marker, or pen, and mark which  way 
     the prongs are pointing, or at least write down  the wire colors; (top 
     to bottom) black (#1), brown (#2 12 volts), black, and red (#4  bottom 
     5  volts).   Inserting this connector backwards will not  make  you  a 
     happy  camper.   Once we have CN1 disconnected, remove  the  grounding 
     screw  and the four phillips head screws, and carefully slide out  the 
     power supply, revealing the logic board.

          Still  holding  the power supply with the on/off  switch  to  the 
     right, bend the two metal tabs on the top (they are pointing away from 
     you), and slide the grille cover off.  Lets take a look at this little 
     marvel.

          On the lower right there is a silver box that the power cord  was 
     plugged into, which is called the EMI filter.  Above it is the  on/off 
     switch.   In  the  'box' is a smaller PC board  that  steps  down  the 
     voltage,  and converts the AC to DC.  The board inputs are  the  black 
     and  white  wires, just above the fuse, while the outputs are  at  CN1 
     (which  we disconnected earlier).  Note the 2 AMP fuse  (fast  acting) 
     and  D101,  just above the smaller white  line  filter  (transformer).  
     Also note an adjustable potentiometer (VR210) in the upper left corner 
     (mine's blue).

          Now  we are going to slide the power supply back in, but  without 
     the  cover.   Unfortunately, we have a problem.  The  cover  was  also 
     holding  half of the power supply cage up, away from the logic  board, 
     which  was hidden from view earlier.  Just remove two sheets of  paper 
     from  your printer, fold them first in thirds, then in half  and  slip 
     them  under  the lower section of the power supply cage so  that  they 
     rest  on  the  logic  board.   Now screw  in  one  phillips  screw  to 
     temporarily secure the cage and reconnect the grounding braids.   Make 
     sure that the paper is keeping the power supply cage from touching any 
     part  of  the logic board.  Finally reconnect CN1, making sure  it  is 
     exactly the same way it was before you removed it from the connector.

          Grab your meter, as  we are now ready to make a few minor checks. 
     Do not test the power supply with CN1 disconnected.  Put your meter on 
     DC with a range of less than 300 volts.  Locate D101 which is the full 
     wave bridge rectifier.  Place your probes at the plus and minus  sign. 
     Hook  up  your power supply cable and turn on the drive.   You  should 
     read  about 160 to 170 VDC, steady.  No voltage here means  a  problem 
     with  the power cord, EMI Filter, power switch, the fuse, L101 or  the 
     rectifier  itself.  The most common problem is the fuse, and to  check 
     it  is easy, just put your meter on 300 VAC and touch each end of  the 
     fuse with the unit on.  A zero reading means it's good while a 115 VAC 
     reading shows an open (blown) fuse.  

          Set your meter for 30 VDC, and touch CN1 Pins 1 and 2 (black  and 
     brown) and see if you get a reading of 12 Volts, DC.  Now touch pins 3 
     and  4 (red and black) for the 5 volts.  If your 5 volts is a tad  off 
     (1/4 to 1/8 volt) you might want to tweak the 5 volt supply voltage by 
     adjusting VR210.

          Unplug  the power cable after turning the drive off, and  we  can 
     install  our noisy fan.  Radio Shack offers several cooling  fans  but 
     the one specified is very small and draws only .15 amps, but is a  tad 
     noisy.   If you want a quiet system and only operate the computer  for 
     short periods of time, then don't bother with this next step.

          Place the grille cover in front of you with the tabs up, and  the 
     unused  cutout to the lower right.  Mark off an area of the grille  2" 
     from the right and 2" from the bottom.  Mount the fan (lettering  side 
     up) in that area, so that the fan will be inside the grille.   Tighten 
     the  screws and make sure you use lock washers.  Borrow some  of  your 
     girl friend's nail polish and seal the ends of the threads.  Feed  the 

     fan's  two wires through the black insulator along with the wires  for 
     CN1. Reinstall the grill cover, and screw the four mounting screws  in 
     their proper holes.  Reconnect the ground braids, and DISCONNECT  CN1.  
     Splice  in the all red fan wire to the brown wire going to pin  #2  of 
     CN1  (+12 Volts) and the other fan wire (red and black) to  the  black 
     wire  pin #1 (top) of CN1.  Solder the wires, and either tape them  or 
     use a small connector to hold them permanently together.

          Testing  before final assembly is needed, and we will do it  only 
     for a moment, with CN1 not connected.  Plug in the power cord, and hit 
     the on switch.  You should feel a gentle breeze flowing upward through 
     the grille of the power supply.  This will enhance the natural flow of 
     air  from the underside of the drive, over the CPU board and  out  the 
     top  of the power supply.  Now turn it off, disconnect the power  cord 
     and  reassemble  the drive.  Before mounting the  cover,  inspect  the 
     chassis,  boards,  connectors and wiring.  Shake the drive  to  insure 
     that  there are no loose screws dropped on the CPU board.  Now  button 
     her up, your done.

          Operation  is  just as before, and if you were careful  with  the 
     above  steps,  you  will have a drive that just might  last  you  much 
     longer than the stock drives.

          Now  for  some observations.  Make sure that  your  drive(s)  and 
     computer are plugged into a good power source that has a good  ground.  
     Take  your  meter and measure each of the three power  connections  to 
     ground  (a cold water pipe, or steam radiator is a good ground).   You 
     should read 115VAC, less than 1.5 VAC and Zero.  Anything higher  than 
     1.5 volts from your neutral to ground means that you have old, or poor 
     wiring in your house.  Do your lights dim when your roommate turns  on 
     the  dishwasher, or other appliance?  Try another outlet if  you  have 
     doubts.  CP/M is very disk intensive, and a power drop can effect your 
     equipment  and disks.  Expect to call a local electrician  to  resolve 
     these  problems  as rewiring a house is not within the scope  of  this 
     procedure.   Purchase a Power Strip (3 pronged) for best  results  and 
     don't use any cheap 2-pronged extension cords!

          Finally,  allow plenty of ventilation space around your  computer 
     and drives and check for dust under these devices on a regular basis.
